import request from '../../utils/request'

export function getActOrders(inpatientNo, admissTimes) {
  return request({
    url: '/dismiss/getActOrders',
    method: 'get',
    params: { inpatientNo, admissTimes },
  })
}

export function dismissCalculate(data) {
  return request({
    url: '/dismiss/dismissCalculate',
    method: 'post',
    data,
  })
}

export function selfPayDismiss(data) {
  return request({
    url: '/dismiss/selfPayDismiss',
    method: 'post',
    data,
  })
}

export function powersiPreDischarge(visitId) {
  return request({
    url: '/dismiss/powersiPreDischarge',
    method: 'get',
    params: { visitId },
  })
}
